Viktor's Supportboard
Quickmenü
» Start
» Portal
» Kontakt
» Mitglieder
» Team

» Handy-Ansicht


Usermenü

» Registrieren

Login
Benutzername:
Passwort:

(Passwort vergessen?)

Database
» Database

Lizenzshop/Verwaltung
» Lizenzshop/Verwaltung


Allgemeines
» Themen der letzen 24 Stunden
» Beiträge von Heute
» Aktuelle Umfragen
» Themen als gelesen markieren
» Themen ohne Antwort

» F.A.Q
» Regeln
» Impressum
» Datenschutzerklärung

» Linkliste
» Partner
» Statistik

Kostenplichtige Hacks
» VG-Lizenz
» VG-Fotowettbewerb
» VG-Kontaktanzeige
» VG-Literatur-Verwaltung
» VGTreffen/Dater
» VGMusik/Video

Mein Hacks
» VGUser-Leaflet-Map
» VGUser-Google-Map
» VGClub-Map-Google
» User-Map
» Club-Map
» User-Locator
» Club-Locator
» Mitglieder Bilderupload
» VGOnlineList
» Teamspeak Onlineanzeige

Meine Banner
» Meine Banner

Statistik
Beiträge: 137.318 (Täglich: 24,64 )
Themen: 16.032
Mitglieder: 13.128
Neuestes Mitglied: osgee00.
Ausl. d. letzten Minute: 18%
Ausl. d. letzten 5 Minuten: 47%
Ausl. d. letzten 15 Minuten: 62%
Freier Webspace: 1.96 TB
PHP-Version: 7.1.11

Spenden

Partner
Mein Supportboard

MySQLDumper

Forum für Angehörige und Freunde von Krebspatienten

Wetter-Board

Make your Webserver

ABC-des Essens

IC-Netforum

ultimate-funultimate-fun

Steinadler-Bastelstübchen

Webseitenschutz

Werben

Viktor's Supportboard » Grafik » Showroom » [Webdesign] Your-WBB.de ist wieder Online - Bereit für 2017 » Hallo Gast [Anmelden|Registrieren]
Letzter Beitrag | Erster ungelesener Beitrag Druckvorschau | An Freund senden | Thema zu Favoriten hinzufügen
Seiten (2): « vorherige 1 [2] Neues Thema erstellen Antwort erstellen
Zum Ende der Seite springen Your-WBB.de ist wieder Online - Bereit für 2017
Autor
Beitrag « Vorheriges Thema | Nächstes Thema »
Viktor   Zeige Viktor auf Karte Viktor ist männlich
Administrator


images/avatars/avatar-15762.jpg

Zeige Viktor auf Karte
Dabei seit: 15.08.2003
Beiträge: 29.661
363 Filebase-Einträge
Alter: 61 Jahre
Herkunft: NRW
wBB-Version: wBB2.3
PHP-Version: 7.1.11
MySQL-Version: 5.5.59-0+deb8u1
Wo bist du gehostet?: eigener Server

Bewertung: 
278 Bewertung(en) - Durchschnitt: 9,47

Level: 68 [?]
Erfahrungspunkte: 165.267.473
Nächster Level: 176.283.333

11.015.860 Erfahrungspunkt(e) für den nächsten Levelanstieg



Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Hallo,

bitte seit Höflich und keine Prügel hier. fröhlich

Ich mag so was nicht. unglücklich

Gruß
Viktor Augenzwinkern

__________________
Ein kluger Mann widerspricht keiner Frau. Er wartet, bis sie es selbst tut.


... beim Käfer (WBB2) konnte man noch selber schrauben,
beim neuen Golf (WBB3) muß man fast schon in die Werkstatt wenn man das "Wischwasser" nachfüllen muss!


Da fast keiner mehr hier Postet gibt es ab sofort keinen Support mehr per PN.

09.12.2016 20:01 Viktor ist offline E-Mail an Viktor senden Homepage von Viktor Beiträge von Viktor suchen Nehmen Sie Viktor in Ihre Freundesliste auf Germany
Thx2
New Kids Junge


Dabei seit: 17.02.2010
Beiträge: 476
0 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 3,63

Level: 39 [?]
Erfahrungspunkte: 1.520.396
Nächster Level: 1.757.916

237.520 Erfahrungspunkt(e) für den nächsten Levelanstieg

Themenstarter Thema begonnen von Thx2


Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Zitat:
Das "WoltLab Burning Board 2" kann mit mehreren verschiedenen Zeichenencodings umgehen.

Zitat:
Somit ist das "WoltLab Burning Board 2" im Grunde vollkommen "UTF-8"-fähig ohne an dessen Dateien herumarbeiten zu müssen.

Zitat:
Ist der Server "UTF-8" und ist die MySQL-Datenbank "UTF-8", gibt es absolut keine Probleme bei einer Neuinstallation eines "WoltLab Burning Board 2" für den Betrieb auf "UTF-8".


Zitat:

Dein Server und deine MySQL-Datenbank waren schon auf "UTF-8" konfiguriert.
Du hast/hattest ein Backup deiner MySQL-Datenbank in "UTF-8".

Dein einziges Problem war, dass du deinen Import falsch angestellt hattest.
Du hast in eine "UTF-8"-Datenbank dein Zeug als "Latin1" importiert.

So kann man sich auch ein "Downgrade" des Zeichensatzes "erzwingen"... wer eben keine Ahnung hat...

Zusammengefasst:
Im Zusammenhang mit dem "WoltLab Burning Board 2" gibt es bei einer Neuinstallation oder richtig durchgeführter Umstellung kein Problem mit "UTF-8".
Das gilt unabhängig von der PHP-Version und der MySQL-Version.


Glaubst du ich weiß nicht das wenn ich die Datenbank nach UTF8 Konvertieren würde bzw. eingespielt hätte sowie den Charset in der Sprachvariable vom WBB2 auf UTF8 umgestellt hätte, es gelaufen wäre?

Der Grund warum ich Latin1 weiterhin nutze ist das ich so ein WBB2 oder Lite1 ohne Änderungen/Anpassungen jederzeit zu testzwecken installieren kann.
Ich muss die Originalarchive hierzu nicht anpassen, außer die structure.sql Datei.

Klar könnte man sich da auch Archive anpassen und die dann immer installieren aber so bin ich in der lage ein ORIGINAL WBB komplett ohne Anpassungen zu installieren. smile

Nachteile habe ich dadurch jedenfalls keine.
Folglich habe ich persönlich für mich keinen Vorteil gesehen alles auf UTF8 umzuändern.
Lieber habe ich einfach die Konfigurationsdatei bearbeitet, was schnell und einfach geht insofern man nicht gerade wie ich 2 Wochen mit dem Support diskutieren muss.

Ob Webstandard hin oder her ist mir egal insofern es mir keinen Vorteil bringt ihn zu nutzen,
früher war Latin1 Standard zu zeiten des WBB und deswegen wird es bei mir auch damit betrieben, da ich nachwievor keinen Nachteil dadurch habe. smile

Zitat:
Ich hoffe nur, dass niemand anderes in diesem Forum seine Aussagen ernst nimmt!


Das Zitat ist von Kill0rz wohlgemerkt.



Ich hoffe ja viel mehr das dich keiner ernst nimmt, upgraden upgraden upgraden es geht mir langsam auf die Nerven.

Ich sag ja nicht das es totaler schwachsinn ist, aber auf z.b. UTF8 umzustellen bringt absolut keinen mehrwert gegenüber Latin1 für Deutsche, bereits seit Jahren laufende Foren.

Ist lustigerweise auch garnicht nötig, selbst wenn man auf PHP 7 umsteigt. großes Grinsen Hat sicherheitsrelevant auch absolut keinerlei bedeutung! Braucht nur mehr Speicherplatz in der Datenbank unter umständen.
Gut wenn man Webspace hat muss man möglicherweise darauf umstellen aber grundsätzlich nicht.

Außerdem läuft das WBB auch immernoch unter PHP 4.4 einwandfrei und MYSQL 4 also ein aktuller Handlungsbedarf besteht nicht bei PHP 5.2 trotzdem sollte man sich zumindest schonmal langsam überlegen wie man auf PHP 7 upgraded, den irgendwann wird es einfach nötig sein und ein uprade auf php 5.3 macht natürlich garkeinen sinn.

Da Anpassungen nötig sind es aber trotzdem nicht aktuell ist.

Aber Panikmache das man SOFORT upgraden sollte ist fehl am Platz. Auch performance Mäßig ist das schwachsinn, das merken vllt. Foren die 1000+ User gleichzeitig Online haben. Und selbst das schafft man mit nem WBB unter PHP 5.2 locker, gab es ja früher genug davon.

PS: Ein PHP Upgrade alleine wird da auch nicht so viel bringen performancemäßig, da muss ja auch der Programmcode und die Einstellungen noch entsprechend optimiert werden.

Eine Bitte an alle: Auch wenn zumindest Schrimm sicher nicht ganz dumm ist und wohl auch durchaus Ahnung hat von dem was er behauptet - lasst euch nicht erzählen das ich/wir von your-wbb.de garkeinen Plan hätten. Das ist einfach eine unseriöse Aussage um dem Portal zu schaden, ich persönlich bin kein professioneller Web Programmierer aber um ein WBB zu betreiben, warten etc. reicht es dann doch. smile Wie man ja auch sehen kann.

Dieser Beitrag wurde 2 mal editiert, zum letzten Mal von Thx2: 09.12.2016 20:37.

09.12.2016 20:08 Thx2 ist offline E-Mail an Thx2 senden Beiträge von Thx2 suchen Nehmen Sie Thx2 in Ihre Freundesliste auf Germany
Schrimm
Haudegen



Dabei seit: 16.03.2015
Beiträge: 610
12 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 9,88

Level: 35 [?]
Erfahrungspunkte: 818.344
Nächster Level: 824.290

5.946 Erfahrungspunkt(e) für den nächsten Levelanstieg



Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Hallo,

Zitat:
Original von Thx2
Glaubst du ich weiß nicht das wenn ich die Datenbank nach UTF8 Konvertieren würde bzw. eingespielt hätte sowie den Charset in der Sprachvariable vom WBB2 auf UTF8 umgestellt hätte, es gelaufen wäre?

Ja, das glaube ich und bin ich mir auch sicher, dass du es bis eben nicht wusstest, was deine vorherigen Aussagen so zeigten.

Zitat:
Original von Thx2
Der Grund warum ich Latin1 weiterhin nutze ist das ich so ein WBB2 oder Lite1 ohne Änderungen/Anpassungen jederzeit zu testzwecken installieren kann.
Ich muss die Originalarchive hierzu nicht anpassen, außer die structure.sql Datei.

Muss man auch nicht, wenn man es richtig anstellt, aber das weißt du ja, eigentlich, schon? Augenzwinkern

Zitat:
Original von Thx2
Folglich habe ich persönlich für mich keinen Vorteil gesehen alles auf UTF8 umzuändern.
Lieber habe ich einfach die Konfigurationsdatei bearbeitet, was schnell und einfach geht insofern man nicht gerade wie ich 2 Wochen mit dem Support diskutieren muss.

Was dir persönlich lieber ist, ist die eine Sache...
Dein Thema bezüglich des "WoltLab Burning Board 2" zu Zeiten in 2017 ist jedenfalls suboptimal...

Warum empfiehlt man "Latin1"?
Als "halbwegs professionelle" Person empfiehlt man den Webstandard, vor allem, wenn man dazu nichts verändern muss, aber nein, der Michael empfiehlt Veraltetes.
Das hat nicht mal was mit "Upgraden" zu tun, denn wie bereits erwähnt, hat hier die PHP-Version und die MySQL-Version so absolut keinen Einfluss...

Zitat:
Original von Thx2
Ob Webstandard hin oder her ist mir egal insofern es mir keinen Vorteil bringt ihn zu nutzen,
früher war Latin1 Standard zu zeiten des WBB und deswegen wird es bei mir auch damit betrieben, da ich nachwievor keinen Nachteil dadurch habe. smile

Nur in gewissen EU-Ländern war er "Standard", jedoch nie weltweit...
Wer mit der Zeit geht, zieht eben auch da mit und "Schaden" ist es sicherlich keiner.

Zitat:
Original von Thx2
Ist lustigerweise auch garnicht nötig, selbst wenn man auf PHP 7 umsteigt. großes Grinsen Hat sicherheitsrelevant auch absolut keinerlei bedeutung! Braucht nur mehr Speicherplatz in der Datenbank unter umständen.

Und wieder eine Aussage, die nicht stimmt!

Ein schönes Beispiel ist hier schon mal unsere "preg_replace()"-Funktion mit dem "e"-Modifier.
Ein Sicherheitsrisiko im Programmcode selbst, wenn Benutzer diese Funktionen nutzen.
Klar, man kann auch schon vor PHP 7 auf die "preg_replace_callback()"-Funktion umsteigen und hat dadurch das "Sicherheitsrisiko" mehr oder weniger beseitigt.
Man muss dann aber leider doofe "Schleifen" schreiben, die beim "parsen" so viel Zeit verbrauchen, dass man das auch im "WoltLab Burning Board 2" schon merkt.

Seit PHP 7 gibt es nun die "preg_replace_callback_array()"-Funktion und diese bringt dir einen schönen Geschwindigkeitsvorteil, was sich durchaus bemerkbar macht.
Es gibt hier auf "v-gn.de" sogar einen Benutzer, der dies bestätigen kann, da er es am eigenen Leib mitbekommen hat.
Dies ist nur eine Funktion, die man aber selbst aktiv ausbessern kann.

Nehmen wir mal eine Funktion, rein theoretisch, wie "addslashes()".
----Dieses Beispiel wurde gewählt, weil die meisten "WoltLab Burning Board 2"-Nutzer, oder zumindest jene die hier mitlesen, diese Funktion gut kennen dürften----
Dies ist eine "BuiltIn"-Funktion und auf jene hast du somit selbst keinen Einfluss, in der Regel.
Nun entdeckt man hier eine extrem kritische Sicherheitslücke, von der man vorher nichts wusste, die sich aber mittels eines Updates bereinigen ließe.

Was passiert nun?
Deine "Uralt"-PHP-Version bekommt kein Update.
Welch Wunder, wird sie ja schon lange Zeit als veraltet angesehen und bekam schon seit langer Zeit eine Ankündigung, dass es keine Updates mehr erhält.

Wo wird also die Lücke geschlossen?
In der aktuellen/unterstützten PHP-Version!
Was glaubst du also machen all diese Sicherheitsupdates?

Hier auch ein kleiner Hinweis bezüglich des Zeichensatzes:
Mit der "addslashes()"-Funktion hast du unter anderem eine Sicherheitslücke weniger, wenn man etwa "UTF-8" benutzt... wusstest du aber bestimmt? Augenzwinkern

Zitat:
Original von Thx2
Außerdem läuft das WBB auch immernoch unter PHP 4.4 einwandfrei und MYSQL 4 also ein aktuller Handlungsbedarf besteht nicht bei PHP 5.2 trotzdem sollte man sich zumindest schonmal langsam überlegen wie man auf PHP 7 upgraded, den irgendwann wird es einfach nötig sein und ein uprade auf php 5.3 macht natürlich garkeinen sinn.

Warum sollte eine Software unter PHP 4.4 und MySQL 4 nicht einwandfrei laufen, wenn das die Mindestvoraussetzungen sind?

Zitat:
Original von Thx2
Aber Panikmache das man SOFORT upgraden sollte ist fehl am Platz. Auch performance Mäßig ist das schwachsinn, das merken vllt. Foren die 1000+ User gleichzeitig Online haben. Und selbst das schafft man mit nem WBB unter PHP 5.2 locker, gab es ja früher genug davon.

PS: Ein PHP Upgrade alleine wird da auch nicht so viel bringen performancemäßig, da muss ja auch der Programmcode und die Einstellungen noch entsprechend optimiert werden.

Falsch...
Schon ein reines PHP-Upgrade kann einen "Perfomance"-Schub bringen, ohne auch nur am eigenen Code etwas zu verändern.
Es mag zwar eventuell gleiche "BuiltIn"-Funktionen geben, die auch untereinander kompatibel sind, aber die Routinen dahinter können durchaus optimiert worden sein, wodurch sie schneller laufen.
Die "Perfomance" hängt nicht nur von 1000+ Benutzer ab, sondern von den verwendeten Funktionen und wenn jene optimiert werden, merkt man diesen Unterschied auch bei kleinen Nutzerzahlen.
Und das Thema "Sicherheit" hab ich oben schon behandelt...

__________________
Nur bei v-gn.de

WoltLab Burning Board Lite 1.0.2pl3 ( HTML5 ) - Version

mywbb.info(†19.8.2011)
your-wbb.de(†20.2.2015)

Dieser Beitrag wurde 3 mal editiert, zum letzten Mal von Schrimm: 09.12.2016 21:26.

09.12.2016 21:12 Schrimm ist offline Beiträge von Schrimm suchen Nehmen Sie Schrimm in Ihre Freundesliste auf Austria
Thx2
New Kids Junge


Dabei seit: 17.02.2010
Beiträge: 476
0 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 3,63

Level: 39 [?]
Erfahrungspunkte: 1.520.396
Nächster Level: 1.757.916

237.520 Erfahrungspunkt(e) für den nächsten Levelanstieg

Themenstarter Thema begonnen von Thx2


Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Zitat:
Original von Thx2
Glaubst du ich weiß nicht das wenn ich die Datenbank nach UTF8 Konvertieren würde bzw. eingespielt hätte sowie den Charset in der Sprachvariable vom WBB2 auf UTF8 umgestellt hätte, es gelaufen wäre?


Zitat:
Ja, das glaube ich und bin ich mir auch sicher, dass du es bis eben nicht wusstest, was deine vorherigen Aussagen so zeigten.


Ich hab es doch ausprobiert gehabt ein neues WBB2 zu installieren und einfach nur die Sprachvariable auf UTF8 umgestellt und es lief. Wärend die Datenbank auf UTF8 gestellt war.

Bezüglich des WBB2 hast du ja sogar recht, man muss nicht sonderlich viel ändern sondern nur die Sprachvariable und ggf. das Backup zu UTF8 umwandeln.

Beim Lite1 muss man allerdings mehr machen damit es unter UTF8 läuft.
Soweit ich weiß ich glaube ich habe das schonmal probiert und festgestellt das man recht viel ändern muss, aber muss ich nochmal nachschauen hab das irgendwo festgehalten schriftlich.

-----

Je mehr wir hier diskutieren je mehr will ich mal ein WBB2 tatsächlich unter PHP 7 installieren und mir selbst ein Bild machen was nun geändert werden muss.
Ich habe ja mir die vorhandenen Umrüstanleitungen schon alle angeschaut und demnach wäre das ja schon ein bisschen was.

Hauptding wird wohl umstellen von MYSQL auf MYSQLi sein.
Sowie wegfallende Funktionen.

Gibt es eigentlich nicht die möglichkeit sich so deprecated funktionen noch zusätzlich in aktuellen PHP Versionen zu installieren wie eben z.b. MYSQL?
Scheint wohl zu funktionieren: https://ckon.wordpress.com/2015/08/06/pu...ack-into-php-7/

Thema Geschwindigkeit, mir ist PHP 5.2 schnell genug ehrlich gesagt und Sicherheitstechnisch ich weiß nicht ob es wirklich so gravierende Lücken gibt.

Wer Zeit, Lust etc. hat auf PHP 7 zu upgraden dem empfehle ich es zu machen. Wer das noch etwas rausschieben möchte sollte sich nicht zu sehr verunsichern lassen.

Meine Meinung. smile
Allerdings muss einem klar sein irgendwann wird PHP 5.2 verschwinden bei jedem Hoster. Also sollte man sich zeitnah schon irgendwann mit PHP 7 beschäftigen.

Dieser Beitrag wurde 3 mal editiert, zum letzten Mal von Thx2: 09.12.2016 21:57.

09.12.2016 21:51 Thx2 ist offline E-Mail an Thx2 senden Beiträge von Thx2 suchen Nehmen Sie Thx2 in Ihre Freundesliste auf Germany
Schrimm
Haudegen



Dabei seit: 16.03.2015
Beiträge: 610
12 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 9,88

Level: 35 [?]
Erfahrungspunkte: 818.344
Nächster Level: 824.290

5.946 Erfahrungspunkt(e) für den nächsten Levelanstieg



Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Zitat:
Original von Thx2
Je mehr wir hier diskutieren je mehr will ich mal ein WBB2 tatsächlich unter PHP 7 installieren und mir selbst ein Bild machen was nun geändert werden muss.
Ich habe ja mir die vorhandenen Umrüstanleitungen schon alle angeschaut und demnäch wäre das ja schon ein bisschen was.


Hallo,

Es ist weniger, als es aussieht.
Die Anleitung von "kill0rz" sieht nur so wuchtig aus, was es aber eigentlich gar nicht ist.
Man muss eben nur aufpassen, dass man keinen Fehler macht, da es eben "essentielle" Funktionen des "WoltLab Burning Boards" sind.
So leicht es eigentlich auch ist, bei falscher Durchführung zerschießt du mit Sicherheit dein Forum.

Bei den Erweiterungen ist das natürlich wieder eine andere Sache.
Mehr als "Schritt für Schritt" kann man da natürlich nicht machen.

Und Aufgrund eines anderen Themas, was hier nun auch wieder gut passt:
"mysqli_real_escape_string()" beziehungsweise "mysql_real_escape_string()" werden dir, falls sie in irgendwelchen Erweiterungen oder im Forum selbst verwendet wurden, mit deinen "Charset"-Einstellungen, sicherlich "Probleme" auf die eine oder andere Art bereiten Augenzwinkern

edit:
Zitat:
Original von Thx2
Thema Geschwindigkeit, mir ist PHP 5.2 schnell genug ehrlich gesagt und Sicherheitstechnisch ich weiß nicht ob es wirklich so gravierende Lücken gibt.

Du sagst es, DU weißt es nicht.
Irgendwelche andere Personen vielleicht schon und es gibt sicherlich auch genug "Lücken", die man nicht "googeln" kann, weil sie nur in gewissen Kreisen bekannt sind.
Und bei den Bekannten...
Vielleicht einfach mal "Google" benutzen, bevor du eine solche Aussage tätigst? Augenzwinkern

Vielleicht auch mal nachschauen, ob es Alternativ-Funktionen gibt und warum Alternativ-Funktionen empfohlen werden?

Fang doch bei dem Beispiel hier im Forum gleich an:
Warum die "preg_replace_callback()"-Funktion und nicht "preg_replace()"-Funktion mit "e"-Modifier verwenden?
Wo liegen eventuelle Bedenken?
Warum macht es Sinn/keinen Sinn?
Ist "preg_replace_callback()" wirklich "sicherer"?
Wenn ja, warum und warum wird sie erst jetzt ersetzt, wenn das Problem eventuell schon länger bekannt ist?
Wenn nein, warum nicht?

Einfach mal darüber nachdenken, bevor man unvorsichtig irgendwas behauptet wie:
"Sicherheitsrelevant ist das überhaupt nicht!"

Behaupte lieber es IST "Sicherheitsrelevant" als umgekehrt.
Denke mal an "Sicherheitsfunktionen" in einem Flugzeug.
Ist es besser sich zu irren, dass jene "Unsicher" sind, oder dass sie "Sicher" sind? Augenzwinkern

__________________
Nur bei v-gn.de

WoltLab Burning Board Lite 1.0.2pl3 ( HTML5 ) - Version

mywbb.info(†19.8.2011)
your-wbb.de(†20.2.2015)

Dieser Beitrag wurde 3 mal editiert, zum letzten Mal von Schrimm: 09.12.2016 22:14.

09.12.2016 21:58 Schrimm ist offline Beiträge von Schrimm suchen Nehmen Sie Schrimm in Ihre Freundesliste auf Austria
Thx2
New Kids Junge


Dabei seit: 17.02.2010
Beiträge: 476
0 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 3,63

Level: 39 [?]
Erfahrungspunkte: 1.520.396
Nächster Level: 1.757.916

237.520 Erfahrungspunkt(e) für den nächsten Levelanstieg

Themenstarter Thema begonnen von Thx2


Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Unter PHP 5.2 würde ich Latin1 nutzen wer durch UTF8 keine Vorteile hätte (wie ich auch) sondern ggf. sogar Nachteile (zusätzlicher aufwand z.b.) dem würde ich das auch nahelegen und unter PHP 7 UTF8 bzw. generell halt die aktuellen Standards.

Wem durch PHP 7/UTF 8 und die Umstellung keine Nachteile entstehen, sowie Zeit und Lust dazu hat den will ich nicht aufhalten.
Ist ja sicher nicht das dümmste was man machen kann.

Ich sage nur ich persönlich fahre momentan mit PHP 5.2 und Latin1 für mich noch am besten da ich so den wenigsten Aufwand habe.

Allerdings werde auch ich zumindest die öffentlichen Projekte zeitnah mal PHP7 fertig machen.

Dieser Beitrag wurde 5 mal editiert, zum letzten Mal von Thx2: 10.12.2016 00:57.

10.12.2016 00:53 Thx2 ist offline E-Mail an Thx2 senden Beiträge von Thx2 suchen Nehmen Sie Thx2 in Ihre Freundesliste auf Germany
Zierfischfreunde   Zeige Zierfischfreunde auf Karte Zierfischfreunde ist männlich
VGLizenz


images/avatars/avatar-15971.gif

Zeige Zierfischfreunde auf Karte
Dabei seit: 14.04.2006
Beiträge: 2.047
0 Filebase-Einträge
Alter: 58 Jahre
Herkunft: Torrox, España
wBB-Version: wBB2.3
PHP-Version: 5.3.10
MySQL-Version: 5.5.29
Wo bist du gehostet?: Strato AG

Bewertung: 
10 Bewertung(en) - Durchschnitt: 5,00

Level: 49 [?]
Erfahrungspunkte: 9.413.855
Nächster Level: 10.000.000

586.145 Erfahrungspunkt(e) für den nächsten Levelanstieg



Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Zitat:
Original von Thx2
Unter PHP 5.2 würde ich Latin1 nutzen wer durch UTF8 keine Vorteile hätte (wie ich auch) sondern ggf. sogar Nachteile (zusätzlicher aufwand z.b.) dem würde ich das auch nahelegen und unter PHP 7 UTF8 bzw. generell halt die aktuellen Standards.

Wem durch PHP 7/UTF 8 und die Umstellung keine Nachteile entstehen, sowie Zeit und Lust dazu hat den will ich nicht aufhalten.
Ist ja sicher nicht das dümmste was man machen kann.

Ich sage nur ich persönlich fahre momentan mit PHP 5.2 und Latin1 für mich noch am besten da ich so den wenigsten Aufwand habe.

Allerdings werde auch ich zumindest die öffentlichen Projekte zeitnah mal PHP7 fertig machen.


Ich will ja nicht meckern.
Von diesem ganzen Zug habe ich absolut keine Ahnung.
Ich bin froh wenn mein Forum läuft.

Was Du da schreibst klingt für mich aber total wirr.
So kann man keine Mitglieder von seiner Arbeit überzeugen.

Wenn ich mir ansehe, wie Viktor arbeitet.
Das verstehe sogar ich.

Deine Kommentare hier, sind im Gegneteil zu Viktors Kommentaren und Anleitungen nur Müll.

Sorry.
Meine Meinung.

__________________
Viele Grüsse von der Costa del Sol.

10.12.2016 06:19 Zierfischfreunde ist offline E-Mail an Zierfischfreunde senden Homepage von Zierfischfreunde Beiträge von Zierfischfreunde suchen Nehmen Sie Zierfischfreunde in Ihre Freundesliste auf Spain
kill0rz
Hackschreiber


images/avatars/avatar-15980.png


Dabei seit: 09.01.2014
Beiträge: 812
23 Filebase-Einträge

wBB-Version: wBB2.3
PHP-Version: 7.2
MySQL-Version: 10.3 (MariaDB)

Bewertung: 
8 Bewertung(en) - Durchschnitt: 7,63

Level: 38 [?]
Erfahrungspunkte: 1.438.735
Nächster Level: 1.460.206

21.471 Erfahrungspunkt(e) für den nächsten Levelanstieg



Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Zitat:
Original von Thx2
Ich hoffe ja viel mehr das dich keiner ernst nimmt, upgraden upgraden upgraden es geht mir langsam auf die Nerven.


Ja, weil du ein ignoranter Egoist bist, der in seiner eigenen Welt lebt. Das beweist deine Argumentation: Immer die gleichen Argumente, dass es keine Vorteile bringt, und dir nur sinnlos Arbeit macht, obwohl dir schon so oft das Gegenteil bewiesen wurde.

Bezüglich deiner Performance-Bedenken: http://www.zend.com/en/resources/php7_infographic

Zitat:
Original von Thx2
Gibt es eigentlich nicht die möglichkeit sich so deprecated funktionen noch zusätzlich in aktuellen PHP Versionen zu installieren wie eben z.b. MYSQL?


Nein, das ist nicht möglich, da eine Funktion mit dem Status deprecated immer noch vorhanden ist. m(

Zitat:
Original von Schrimm
Die Anleitung von "kill0rz" sieht nur so wuchtig aus, was es aber eigentlich gar nicht ist.


Joar, ich geb zu, ist recht ausführlich geworden. Zunge raus
Durch das ganze Syntax-Highlighting für jede Zeile wird die Anleitung sehr lang.

Zitat:
Original von Thx2
Unter PHP 5.2 würde ich Latin1 nutzen wer durch UTF8 keine Vorteile hätte (wie ich auch) sondern ggf. sogar Nachteile (zusätzlicher aufwand z.b.)


Es hat einfach keinen Sinn.

Sag mal Michael, hattest du in deinem Leben auch nur einmal einen Job, der irgendwas mit Verantwortung zu tun hatte? So Systemadministrator, Polier oder etwas ähnliches?

__________________

WBB2.3.6 unter PHP 5.6 | WBB2.3.6 unter PHP 7.1
Update ASAP! | Warum?
Kein Support mehr für PHP-Versionen <5.6!

meine Hacks auf Github | mich unterstützen



Vor dem Melden eines Fehlers: Fehler so genau wie möglich beschrieben? Fehlermeldung kopiert? Auszüge aus den Logs gepostet? Betroffene Datei angehangen?

Dieser Beitrag wurde 1 mal editiert, zum letzten Mal von kill0rz: 10.12.2016 13:06.

10.12.2016 12:57 kill0rz ist offline Beiträge von kill0rz suchen Nehmen Sie kill0rz in Ihre Freundesliste auf Germany
Thx2
New Kids Junge


Dabei seit: 17.02.2010
Beiträge: 476
0 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 3,63

Level: 39 [?]
Erfahrungspunkte: 1.520.396
Nächster Level: 1.757.916

237.520 Erfahrungspunkt(e) für den nächsten Levelanstieg

Themenstarter Thema begonnen von Thx2


Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Zitat:
Original von Zierfischfreunde
Zitat:
Original von Thx2
Unter PHP 5.2 würde ich Latin1 nutzen wer durch UTF8 keine Vorteile hätte (wie ich auch) sondern ggf. sogar Nachteile (zusätzlicher aufwand z.b.) dem würde ich das auch nahelegen und unter PHP 7 UTF8 bzw. generell halt die aktuellen Standards.

Wem durch PHP 7/UTF 8 und die Umstellung keine Nachteile entstehen, sowie Zeit und Lust dazu hat den will ich nicht aufhalten.
Ist ja sicher nicht das dümmste was man machen kann.

Ich sage nur ich persönlich fahre momentan mit PHP 5.2 und Latin1 für mich noch am besten da ich so den wenigsten Aufwand habe.

Allerdings werde auch ich zumindest die öffentlichen Projekte zeitnah mal PHP7 fertig machen.


Ich will ja nicht meckern.
Von diesem ganzen Zug habe ich absolut keine Ahnung.
Ich bin froh wenn mein Forum läuft.

Was Du da schreibst klingt für mich aber total wirr.
So kann man keine Mitglieder von seiner Arbeit überzeugen.

Wenn ich mir ansehe, wie Viktor arbeitet.
Das verstehe sogar ich.

Deine Kommentare hier, sind im Gegneteil zu Viktors Kommentaren und Anleitungen nur Müll.

Sorry.
Meine Meinung.


Was ich damit sagen wollte ist eigentlich ENTWEDER ich betreibe das WBB2 mit den Versionen/Einstellungen für die es Konzipiert wurde und mache garkeine Anpassungen ODER ich passe es den aktuellen an.

Aber kein Mischmasch wie z.b. PHP 5.3 und UTF8 etc.
War aber tatsächlich kompliziert ausgedrückt.

Und ich meinte nicht deprecated Funktionen wieder holen sondern welche die komplett entfernt wurden, also wie z.b. MYSQL in PHP7.

Dieser Beitrag wurde 1 mal editiert, zum letzten Mal von Thx2: 10.12.2016 17:31.

10.12.2016 17:31 Thx2 ist offline E-Mail an Thx2 senden Beiträge von Thx2 suchen Nehmen Sie Thx2 in Ihre Freundesliste auf Germany
Schrimm
Haudegen



Dabei seit: 16.03.2015
Beiträge: 610
12 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 9,88

Level: 35 [?]
Erfahrungspunkte: 818.344
Nächster Level: 824.290

5.946 Erfahrungspunkt(e) für den nächsten Levelanstieg



Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Zitat:
Original von Thx2
Aber kein Mischmasch wie z.b. PHP 5.3 und UTF8 etc.
War aber tatsächlich kompliziert ausgedrückt.


Hallo,

Bitte unterlasse diesen Unsinn...
PHP 5.3 hat mit den "Charsets" gar nichts am Hut...
Ein Blick ins "WoltLab Burning Board" zeigt Folgendes:
php:
1:
$charsets = array('ISO-8859-1''ISO-8859-15''UTF-8''CP1252''WINDOWS-1252''KOI8-R''BIG5''GB2312''BIG5-HKSCS''SHIFT_JIS''EUC-JP');

Welches "Charset" ist also "angedacht"? Augenzwinkern

__________________
Nur bei v-gn.de

WoltLab Burning Board Lite 1.0.2pl3 ( HTML5 ) - Version

mywbb.info(†19.8.2011)
your-wbb.de(†20.2.2015)

Dieser Beitrag wurde 2 mal editiert, zum letzten Mal von Schrimm: 10.12.2016 17:59.

10.12.2016 17:54 Schrimm ist offline Beiträge von Schrimm suchen Nehmen Sie Schrimm in Ihre Freundesliste auf Austria
Thx2
New Kids Junge


Dabei seit: 17.02.2010
Beiträge: 476
0 Filebase-Einträge

wBB-Version: wBBLite

Bewertung: 
8 Bewertung(en) - Durchschnitt: 3,63

Level: 39 [?]
Erfahrungspunkte: 1.520.396
Nächster Level: 1.757.916

237.520 Erfahrungspunkt(e) für den nächsten Levelanstieg

Themenstarter Thema begonnen von Thx2


Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Hab ich auch nicht gesagt
10.12.2016 18:12 Thx2 ist offline E-Mail an Thx2 senden Beiträge von Thx2 suchen Nehmen Sie Thx2 in Ihre Freundesliste auf Germany
Cleantex
Fähiger Mensch



Dabei seit: 17.11.2008
Beiträge: 162
0 Filebase-Einträge


Bewertung: 
2 Bewertung(en) - Durchschnitt: 5,50

Level: 34 [?]
Erfahrungspunkte: 591.430
Nächster Level: 677.567

86.137 Erfahrungspunkt(e) für den nächsten Levelanstieg



Auf diesen Beitrag antworten Zitatantwort auf diesen Beitrag erstellen Diesen Beitrag editieren/löschen Diesen Beitrag einem Moderator melden       Zum Ende der Seite springen Zum Anfang der Seite springen

Es ist ganz einfach, wenn es in einer Straße zwei Fischhändler gibt, kauft man die Fische dort wo sie frisch sind. Ich fühle mich mit Schrimm und Kill0rz sehr gut aufgehoben. Der Doppelpack ist schwer zu toppen. Augenzwinkern
10.12.2016 21:57 Cleantex ist offline E-Mail an Cleantex senden Beiträge von Cleantex suchen Nehmen Sie Cleantex in Ihre Freundesliste auf Luxembourg
Seiten (2): « vorherige 1 [2] Baumstruktur | Brettstruktur
Gehe zu:
Neues Thema erstellen Antwort erstellen
Viktor's Supportboard » Grafik » Showroom » [Webdesign] Your-WBB.de ist wieder Online - Bereit für 2017

Impressum | Datenschutz | Fast-Index

Forensoftware: Burning Board 2.3.6, entwickelt von WoltLab® GmbH Design © Tine

Valid XHTML 1.0! Valid CSS! Die letzten Themen Die letzten Beiträge © für wbb2 by Bandy & cback.de Geblockte Angriffe: 2.332
Seo Sidemap Powert by 2Clubradio.de
Viktor's Supportboard, ist " Online " seit 15 Jahren, 93 Tage, 21 Stunden, 4 Minuten und 18 Sekunden